
QGIS Application - Bug report #10367

QGIS Crashes when deleting the last vertex of an uncommitted line with node tool

2014-05-27 04:08 AM - Tim Sutton

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18786

Description

To replicate:

    -  Create a line layer

    -  Digitise a new segment with two nodes

    -  Use the node tool to delete the last node

    -  use the node tool to delete the first node

    -  Crash

I attach a small screencast that replicates this.

Associated revisions

Revision a516c36b - 2014-06-01 04:26 PM - Jürgen Fischer

nodetool: fix crash when deleting last vertex (fixes #10367)

History

#1 - 2014-06-01 07:27 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a516c36b9170f1133bcde2439e09b6c03948f05a".
